net.corda.core.node.services

## Class PartyInfo

- net.corda.core.node.services.PartyInfo

- Direct Known Subclasses:
    PartyInfo.Node, PartyInfo.Service

      public class PartyInfo

  Holds information about a `class Party`, which may refer to either a specific node or a service.

  See Also:
    `class Party`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PartyInfo.Node`
    `static class` | `PartyInfo.Service`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Party` | `getParty()`

- - ### Method Detail

    - #### getParty

          public Party getParty()